ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Valentin Kulichenko <valentin.kuliche...@gmail.com>
Subject Re: Compiling Ignite against different JDKs
Date Thu, 11 Feb 2016 20:24:00 GMT
Hi,

Most likely you have 'java8' profile enabled. Go to Maven
Projects->Profiles and remove the corresponding checkbox.

-Val

On Thu, Feb 11, 2016 at 6:35 AM, Dood@ODDO <oddodaoddo@gmail.com> wrote:

> Hello all,
>
> I am working on a ticket that is not very difficult, if you are good with
> Idea, Java, Maven etc. I have been a developer in various languages but new
> to Java ;).
>
> I had JDK8 installed and I introduced some changes to the code base that
> cause it to not compile (apparently) against the JDK7. I downloaded JDK7
> and installed it, I went into Project Structure->JDKs in Idea and added the
> version 7 and set it as default for the Ignite project. However, every time
> I try to build the ignite-core module, it complains about "invalid source
> release: 1.8". Clearly I am missing something - but what? Are there any
> instructions anyone can point to for switching JDKs in IntelliJ?
>
> Thanks!
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message